Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88453 - RPM on Redhat 8.0 is freezing
Summary: RPM on Redhat 8.0 is freezing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-10 03:53 UTC by Martin gagné
Modified: 2007-04-18 16:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-14 14:44:18 UTC


Attachments (Terms of Use)

Description Martin gagné 2003-04-10 03:53:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I'm using Redhat 8.0 on many servers. Often on many of them, when using the 
rpm -Uhv command to install packages, often from redhat updates of redhat 8.0 
distribution, rpm is freezing and i have to kill it with kill -9. After, i 
cannot install any rpm without rebooting. i tried to run rpm --rebuildb but 
nothing, i have to reboot.

I have a friend at gleveque@mag-datacom.ca that is experiencing the same 
probleme with differents servers.

Version-Release number of selected component (if applicable):
rpm-4.1-1.06

How reproducible:
Sometimes

Steps to Reproduce:
1. Try to install rpm packages
2. rpm freeze, have to kill
3. have to reboot to use rpm again
    

Actual Results:  Rpm is working, but have to reboot

Expected Results:  Use rpm without rebooting

Additional info:

Comment 1 Martin Jackson 2003-04-10 17:01:26 UTC
I've got the same problem it only happened very recently so I assume the problem
has to do with some update I recently added to the system.

Comment 2 Martin Jackson 2003-04-14 08:11:45 UTC
Here's is my list of open file relating to rpm freezing.

[root@localhost root]# lsof | grep -i rpm
rcd        1047     root  mem    DEL        3,2             3293554
/tmp/rc-rpm-JO2DWU/rc-{rpm_rpmio_rpmdb}-4.0.4.so
rcd        1047     root  mem    REG        3,2     8192     196610
/var/lib/rpm/__db.001
rcd        1047     root  mem    REG        3,2   298626     360577
/usr/lib/librpm-4.0.4.so
rcd        1047     root  mem    REG        3,2   556284     360580
/usr/lib/librpmio-4.0.4.so
rcd        1047     root  mem    REG        3,2  5476872     360579
/usr/lib/librpmdb-4.0.4.so
rcd        1047     root  mem    REG        3,2  1310720     196611
/var/lib/rpm/__db.002
rcd        1047     root  mem    REG        3,2   360448     196612
/var/lib/rpm/__db.003
rcd        1047     root    5r   REG        3,2 22274048     196613
/var/lib/rpm/Packages
rhn-apple  1248 martinjk  mem    REG        3,2    62848    3407899
/usr/lib/python2.2/site-packages/rpm404module.so
rhn-apple  1248 martinjk  mem    REG        3,2   298626     360577
/usr/lib/librpm-4.0.4.so
rhn-apple  1248 martinjk  mem    REG        3,2  5476872     360579
/usr/lib/librpmdb-4.0.4.so
rhn-apple  1248 martinjk  mem    REG        3,2   556284     360580
/usr/lib/librpmio-4.0.4.so
rhn_check  2688     root  mem    REG        3,2     8192     196610
/var/lib/rpm/__db.001
rhn_check  2688     root  mem    REG        3,2   104935    3407904
/usr/lib/python2.2/site-packages/rpmmodule.so
rhn_check  2688     root  mem    REG        3,2   324901     360720
/usr/lib/librpm-4.1.so
rhn_check  2688     root  mem    REG        3,2   905208     360722
/usr/lib/librpmdb-4.1.so
rhn_check  2688     root  mem    REG        3,2   827540     360723
/usr/lib/librpmio-4.1.so
rhn_check  2688     root  mem    REG        3,2  1310720     196611
/var/lib/rpm/__db.002
rhn_check  2688     root  mem    REG        3,2   360448     196612
/var/lib/rpm/__db.003
rhn_check  2688     root    5r   REG        3,2    32100    2539665
/usr/share/rhn/up2date_client/rpmSource.py
rhn_check  2688     root    7r   REG        3,2    13982    2539667
/usr/share/rhn/up2date_client/rpmUtils.py
rhn_check  2688     root    8r   REG        3,2 22274048     196613
/var/lib/rpm/Packages


Comment 3 Jeff Johnson 2003-04-14 14:44:18 UTC
Stale lock problems are fixed in rpm-4.1.1, currently available at
    ftp://ftp.rpm.org/pub/rpm/test-4.1.1


Note You need to log in before you can comment on or make changes to this bug.